com.mysql.cj

## Enum Query.CancelStatus

- java.lang.Object
- - java.lang.Enum<Query.CancelStatus>
  - - com.mysql.cj.Query.CancelStatus

All Implemented Interfaces:
  Serializable, Comparable<Query.CancelStatus>

Enclosing interface:
  Query

    public static enum Query.CancelStatus
    extends Enum<Query.CancelStatus>

### Enum Constant Summary

Enum Constants
`CANCELED_BY_TIMEOUT`
`CANCELED_BY_USER`
`NOT_CANCELED`

### Method Summary

All Methods Static Methods Concrete Methods
`static Query.CancelStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Query.CancelStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_CANCELED

    public static final Query.CancelStatus NOT_CANCELED

#### CANCELED_BY_USER

    public static final Query.CancelStatus CANCELED_BY_USER

#### CANCELED_BY_TIMEOUT

    public static final Query.CancelStatus CANCELED_BY_TIMEOUT

### Method Detail

#### values

    public static Query.CancelStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Query.CancelStatus c : Query.CancelStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Query.CancelStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2026, Oracle and/or its affiliates.